#include <mega32a.h>
#include <alcd.h>
#include "new_alcd.h"

void main(void)
{
// Alphanumeric LCD initialization
// Connections are specified in the
// Project|Configure|C Compiler|Libraries|Alphanumeric LCD menu:
// RS - PORTC Bit 0
// RD - PORTC Bit 1
// EN - PORTC Bit 2
// D4 - PORTC Bit 4
// D5 - PORTC Bit 5
// D6 - PORTC Bit 6
// D7 - PORTC Bit 7
// Characters/line: 16
lcd_init(16);

lcd_gotoxy(0,0);
//lcd_puts("HELLO");
//delay_ms(500);
//lcd_clearxy(1,0);

lcd_puts("HELLO");
delay_ms(500);
//lcd_clearrow(0);

//lcd_clearrowxy(2,6,1);
//lcd_clear_anim();
//cursor_blinking();
//lcd_black();

//lcd_shift_right();
//delay_ms(200);
//lcd_shift_right();
//delay_ms(200);
//lcd_shift_right();

//lcd_shift_left();
//delay_ms(200);
//lcd_shift_left();
//delay_ms(200);
//lcd_shift_left();

//define_char(char_0,0);
//lcd_gotoxy(0,0);
//lcd_putchar(0);

while (1)
      {
//      battery(1);
//      delay_ms(300);
//      battery(2);
//      delay_ms(300);
//      battery(3);
//      delay_ms(300);
//      battery(4);
//      delay_ms(300); 
backlight_on();
delay_ms(500); 
backlight_off();
delay_ms(500);    
      }
}
